petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPReset

Resets a KSP context to the kspsetupcalled = 0 state and removes any allocated Vecs and Mats

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPReset(KSP ksp)

Collective on KSP

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Keywords

destroy

### See Also

KSPCreate(), KSPSetUp(), KSPSolve(), KSP

### Level

beginner

### Location

src/ksp/ksp/interface/itfunc.c

### Implementations

KSPReset_BCGS in src/ksp/ksp/impls/bcgs/bcgs.c
KSPReset_BCGSL in src/ksp/ksp/impls/bcgsl/bcgsl.c
KSPReset_PIPELCG in src/ksp/ksp/impls/cg/pipelcg/pipelcg.c
KSPReset_Chebyshev in src/ksp/ksp/impls/cheby/cheby.c
KSPReset_FETIDP in src/ksp/ksp/impls/fetidp/fetidp.c
KSPReset_GCR in src/ksp/ksp/impls/gcr/gcr.c
KSPReset_PIPEGCR in src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
KSPReset_FGMRES in src/ksp/ksp/impls/gmres/fgmres/fgmres.c
KSPReset_GMRES in src/ksp/ksp/impls/gmres/gmres.c
KSPReset_PGMRES in src/ksp/ksp/impls/gmres/pgmres/pgmres.c
KSPReset_PIPEFGMRES in src/ksp/ksp/impls/gmres/pipefgmres/pipefgmres.c
KSPReset_LCD in src/ksp/ksp/impls/lcd/lcd.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages